# PIP: src/core/piobject.h File Reference

piobject.h File Reference

Base object. More...

## Classes

class | PIObject
| This is base class for any classes which use events -> handlers mechanism. More...

## Macros

#define | PIOBJECT(name)
| you should use this macro after class declaration to use EVENT and EVENT_HANDLER and correct piCoutObj output
#define | PIOBJECT_SUBCLASS(name)
| you should use this macro after class declaration to use EVENT and EVENT_HANDLER of parent class

## Detailed Description

Base object.

This file declare PIObject class and associated macros